<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <file name='/etc/eole/ldapconf.conf'/>
        <file name='/etc/eole/waitsmb.conf'/>
        <file name='/usr/share/ead2/backend/config/actions/actions_scribe.cfg'/>
        <file name='/etc/bareos/bareosfichiers.d/seth-education.conf'/>
    </files>
    <containers>
        <container name='annuaire' id='10'>
        </container>
        <container name='fichier' id='12'>
            <file name='/etc/eole/ldapconf.conf'/>
            <file name='/etc/eole/smbldap-passwd.conf'/>
            <file name='/etc/ldap/ldap.conf' rm='True' filelist='client_ldap' />
            <file name='/etc/eole/waitsmb.conf'/>
        </container>
        <container name='proxy' id='20'>
            <file name='/etc/eole/waitsmb.conf'/>
        </container>
        <container name='addc'>
            <file name='/etc/eole/ldapconf.conf'/>
            <file name='/etc/samba/conf.d/defaultdomain.global' mkdir="True"/>
            <file name='/var/lib/eole/00_seth.ldif' mkdir="True"/>
            <file name='/var/lib/eole/01_seth_index.ldif'/>
            <file name='/var/lib/eole/02_scribe.ldif'/>
            <package>seth-education-pkg</package>
            <fstab name='/home/backup/samba'/>
        </container>
        <container name='web'>
            <file name='/etc/eole/ldapconf.conf'/>
        </container>
    </containers>
    <variables>
        <family name='Services'>
            <variable name='activer_sso' redefine="True">
                <value>local</value>
            </variable>
        </family>
        <family name='Annuaire'>
            <variable name='adresse_ip_ldap' redefine="True"/>
            <variable name='ldap_tls' redefine="True">
                <value>oui</value>
            </variable>
            <variable name='ldap_member_group_attribute' redefine="True">
                <value>member</value>
            </variable>
            <variable name='ldap_match_attribute' redefine="True">
                <value>cn</value>
            </variable>
            <variable name='ldap_base_dn' redefine="True" remove_check="True"/>
            <variable name="ldap_reader" redefine="True"/>
            <variable name='ldap_reader_passfile' redefine="True"/>
        </family>
        <family name='eole sso'>
            <variable name='eolesso_ldap_match_attribute' redefine="True">
                <value>cn</value>
            </variable>
            <variable name='eolesso_ldap_use_tls' redefine="True">
                <value>oui</value>
            </variable>
            <variable name='eolesso_ldap_reader' redefine="True"/>
            <variable name='eolesso_ldap_reader_passfile' redefine="True"/>
            <variable name='eolesso_ad' redefine="True">
                <value>oui</value>
            </variable>
        </family>
        <family name='messagerie'>
            <variable name='exim_smarthost' redefine='True' hidden='True' exists='True'>
                <value>oui</value>
            </variable>

            <variable name='exim_ldap_delivery' redefine='True' hidden='True' remove_condition='True' exists='True'>
                <value>oui</value>
            </variable>

            <variable name='activer_courier_imap_sso' redefine='True' mode='expert' exists='True'/>
            <variable name='adresse_imap_sso' redefine='True' mode='expert' exists='True'/>
        </family>
        <family name='Active Directory'>
            <variable name='openldap_installed' type='oui/non' hidden='True'>
                <value>non</value>
            </variable>
            <variable name='ad_enum_users_groups' redefine='True'>
                <value>oui</value>
            </variable>
            <variable name='ad_wide_link' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='ad_hide_desktop' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='ad_remove_oplocks' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='ad_domain_admin_are_admin' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='ad_allow_execute' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='ad_trace_connect_disconnect' redefine='True' hidden='True'>
                <value>oui</value>
            </variable>
            <variable name='ad_deadtime' redefine='True' hidden='True'>
                <value>15</value>
            </variable>
            <variable name='base_dn' type='string'/>
            <variable name='smb_min_password_length' redefine="True"><value>8</value></variable>
            <variable name='smb_min_password_class' redefine="True"><value>3</value></variable>
            <variable name='home_path' hidden='True'>
                <value>/home</value>
            </variable>
            <variable name='ad_home_share_with_domain_prefix' redefine='True' hidden='True'>
                <value>non</value>
            </variable>
            <variable name='ad_local' type='oui/non' exists='False' hidden="True">
                <value>oui</value>
            </variable>
            <variable name='ad_home_share_path' redefine='True' hidden='True'/>
        </family>
        <family name="samba">
            <variable name="ead_support_multietab" type="oui/non" description="Support du multi-établissement">
                <value>non</value>
            </variable>
            <variable name='ead_import_write_options' type='oui/non' description="Activer les création des options lors de l'importation des comptes" mode='expert'>
                <value>oui</value>
            </variable>
            <variable name='ead_import_write_prive' type='oui/non' description="Activer les création des répertoires privés des élèves" mode='expert'>
                <value>oui</value>
            </variable>
        </family>
        <family name="services">
            <variable name="activer_workstation_manager" type="oui/non" description="Activer le service de gestion des postes clients" hidden="True" exists="False">
                <value>non</value>
            </variable>
        </family>

    </variables>
    <constraints>
        <auto name="dn_from_realm" target='base_dn'>
            <param type='eole'>ad_realm</param>
        </auto>
        <auto name='calc_val' target='ldap_base_dn'>
            <param type="eole">base_dn</param>
        </auto>
        <fill name='concat' target='ldap_reader_passfile'>
            <param type="eole">container_path_annuaire</param>
            <param>/etc/eole/private/eole-seth-education-reader.password</param>
        </fill>
        <fill name='calc_val' target='eolesso_ldap_reader'>
            <param type="eole">ldap_reader</param>
        </fill>
        <fill name='calc_val' target='eolesso_ldap_reader_passfile'>
            <param type="eole">ldap_reader_passfile</param>
        </fill>
        <fill name='calc_val' target='eolesso_ad_domain'>
            <param type="eole">ad_realm</param>
        </fill>
        <fill name='calc_val' target='eolesso_ad_server'>
            <param type="eole" optional='True' hidden="False">nom_serveur_krb</param>
        </fill>
        <auto name='calc_val' target='ad_enum_users_groups'>
            <param>oui</param>
        </auto>
        <auto name='concat' target='ldap_reader'>
            <param>CN=eole-seth-education-reader,CN=Users,</param>
            <param type="eole">base_dn</param>
        </auto>
        <auto name='calc_multi_condition' target='eolesso_ldap'>
            <param>oui</param>
            <param type='eole' name='condition_1'>mode_conteneur_actif</param>
            <param name='match' type="eole">container_ip_domaine</param>
            <param name='mismatch' type='eole'>ad_realm</param>
        </auto>
        <auto name='calc_multi_condition' target='adresse_ip_ldap'>
            <param>oui</param>
            <param type='eole' name='condition_1'>mode_conteneur_actif</param>
            <param name='match' type="eole">container_ip_domaine</param>
            <param name='mismatch' type='eole'>ad_realm</param>
        </auto>
        <condition name='disabled_if_in' source='openldap_installed'>
            <param>non</param>
            <target type='filelist'>ad_local</target>
        </condition>
    </constraints>
</creole>

